Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Ctors | Methods | Inherited Methods | [Expand All]
public abstract class

# Metadata

extends Object
implements Freezable<T>

java.lang.Object
↳ | com.google.android.gms.drive.Metadata

## Class Overview

The details of a Drive file or folder.

## Summary

Public Constructors
| Metadata()

Public Methods
Date | getCreatedDate() Returns the create time for this resource.
DriveId | getDriveId() Returns the id of the resource
String | getMimeType() Returns the MIME type of the resource
Date | getModifiedByMeDate() Returns the last time this resource was modified by the user.
Date | getModifiedDate() Returns the last time this resource was modified by anyone.
Date | getSharedWithMeDate() Returns the time at which this resource was shared with the user.
String | getTitle() Returns the title of the resource
boolean | isEditable() Returns true if this resource can be edited by the current user.
boolean | isFolder() Returns true if this Metadata is for a folder.
boolean | isStarred() Returns true if this resource is starred by the user.
boolean | isTrashed() Returns true if this resource has been trashed.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface com.google.android.gms.common.data.Freezable

abstract T | freeze() Freeze a volatile representation into an immutable representation.
abstract boolean | isDataValid() Check to see if this object is valid for use.

## Public Constructors

#### public Metadata ()

## Public Methods

#### public Date getCreatedDate ()

Returns the create time for this resource.

#### public DriveId getDriveId ()

Returns the id of the resource

#### public String getMimeType ()

Returns the MIME type of the resource

#### public Date getModifiedByMeDate ()

Returns the last time this resource was modified by the user.

#### public Date getModifiedDate ()

Returns the last time this resource was modified by anyone.

#### public Date getSharedWithMeDate ()

Returns the time at which this resource was shared with the user.

#### public String getTitle ()

Returns the title of the resource

#### public boolean isEditable ()

Returns true if this resource can be edited by the current user.

#### public boolean isFolder ()

Returns true if this Metadata is for a folder.

#### public boolean isStarred ()

Returns true if this resource is starred by the user.

#### public boolean isTrashed ()

Returns true if this resource has been trashed.